javax.enterprise.inject.spi

## Interface Annotated

- All Known Subinterfaces:
    AnnotatedCallable<X>, AnnotatedConstructor<X>, AnnotatedField<X>, AnnotatedMember<X>, AnnotatedMethod<X>, AnnotatedParameter<X>, AnnotatedType<X>

      public interface Annotated

  Represents a Java program element that can be annotated.

  Author:
    Gavin King, Pete Muir, Clint Popetz
  See Also:
    `AnnotatedElement`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends Annotation> T` | `getAnnotation(Class<T> annotationType)` Get program element annotation of a certain annotation type.
    `Set<Annotation>` | `getAnnotations()` Get all annotations of the program element.
    `Type` | `getBaseType()` Get the type of the annotated program element.
    `Set<Type>` | `getTypeClosure()` Get all types to which the base type should be considered assignable.
    `boolean` | `isAnnotationPresent(Class<? extends Annotation> annotationType)` Determine if the program element has an annotation of a certain annotation type.

- - ### Method Detail

    - #### getBaseType

          Type getBaseType()

      Get the type of the annotated program element.

      Returns:
        the type of the annotated program element

    - #### getTypeClosure

          Set<Type> getTypeClosure()

      Get all types to which the base type should be considered assignable.

      Returns:
        a set of all types to which the base type should be considered assignable

    - #### getAnnotation

          <T extends Annotation> T getAnnotation(Class<T> annotationType)

      Get program element annotation of a certain annotation type.

      Type Parameters:
        `T` - the type of the annotation
      Parameters:
        `annotationType` - the class of the annotation type
      Returns:
        the program element annotation of the given annotation type, or a null value

    - #### getAnnotations

          Set<Annotation> getAnnotations()

      Get all annotations of the program element.

      Returns:
        all annotations of the program element, or an empty set if no annotations are present

    - #### isAnnotationPresent

          boolean isAnnotationPresent(Class<? extends Annotation> annotationType)

      Determine if the program element has an annotation of a certain annotation type.

      Parameters:
        `annotationType` - the annotation type to check for
      Returns:
        `true` if the program element has an annotation of the given annotation type, or `false` otherwise

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.